import java.awt.*;

/**
 * A triangle that can be manipulated and that draws itself on a canvas.
 * 
 * @author	Bernd J. Krmer
 * @version 10.01.2004 (adaptiert von Shapes)
 */

public abstract class GeoFigur
{
	protected int xPosition;
	protected int yPosition;
	protected String farbe;

    /**
     * Beim Erzeugen einer GeoFigur definieren wir nur 
     * einen Koordinatenpunkt und die Farbe
     */
    public GeoFigur()
    {
		xPosition = 50;
		yPosition = 15;
		farbe = "gelb";
    }
	
    /**
     * Move the triangle a few pixels to the right.
     */
    public void verschieben(int xRichtung, int yRichtung)
    {
		loescheAnzeige();
		xPosition += xRichtung;
		yPosition += yRichtung;
		anzeigen();
    }


    /**
     * ndere die Farbe. Gltige Farben sind: 
     * "rot", "gelb", "blau", "gruen" und "schwarz".
     */
    public void umfaerben(String neueFarbe)
    {
		farbe = neueFarbe;
		anzeigen();
    }

	/*
	 * Zeige die GeoFigur an; da eine GeoFigur keinen eigenen Umriss
	 * hat, tun wir hier nichts. Die Unterklassen msssen spezifische 
	 * Implementierungen der Methode anbieten
	 */
	protected abstract void anzeigen();

	/*
	 * Lsche die Bildschirmanzeige
	 */
	public void loescheAnzeige()
	{
	    Canvas canvas = Canvas.getCanvas();
		canvas.erase(this);
	}
}
